Subject: Re: 2.6.25: include/asm-ppc vs. include/asm-powerpc

From: Roland Dreier <[email-masked]>
Date: Thu, 28 Aug 2008 07:48:00 -0700

> It doesn't matter whether I build my code in the kernel as patches, or
 > not.  The problem is not that I don't have the headers handy, it's that
 > they simply don't exist in asm-ppc anymore, not even in the linux source
 > tree.

I believe that the kernel's build system (before arch/ppc was removed
entirely) had some magic to include files from asm-powerpc if they
didn't exist in asm-ppc.  So building your code with the kernel's build
system (and Documentation/kbuild/modules.txt explains how to do that
even without building in the kernel tree itself) should work.

For example, the reason include/asm-ppc/ppc_asm.h doesn't exist is
because of commit 5f7c6907, which moved the file to asm-powerpc.

 - R.